Xerces-J API: Class DefaultEntityHandler.EntityPool

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.readers
Class DefaultEntityHandler.EntityPool

    java.lang.Object
      |
      +--org.apache.xerces.readers.DefaultEntityHandler.EntityPool

Enclosing class:
  DefaultEntityHandler

public final class DefaultEntityHandler.EntityPool
extends java.lang.Object

Constructor Summary
`DefaultEntityHandler.EntityPool(StringPool stringPool, XMLErrorReporter errorReporter, boolean createStandardEntities)`

Method Summary
`int` | `addEntityDecl(int name, int value, int publicId, int systemId, int baseSystemId, int notationName, boolean isExternal)`
`int` | `addNotationDecl(int notationName, int publicId, int systemId, int baseSystemId, boolean isExternal)`
`void` | `addRequiredNotation(int notationName, Locator locator, int majorCode, int minorCode, java.lang.Object[] args)`
`void` | `checkRequiredNotations()`
`java.lang.String` | `getBaseSystemId(int entityIndex)`
`boolean` | `getEntityDeclIsExternal(int entityIndex)`
`int` | `getEntityName(int entityIndex)`
`int` | `getEntityValue(int entityIndex)`
`boolean` | `getNotationDeclIsExternal(int entityIndex)`
`int` | `getNotationName(int entityIndex)`
`int` | `getPublicId(int entityIndex)`
`int` | `getSystemId(int entityIndex)`
`boolean` | `isExternalEntity(int entityIndex)`
`boolean` | `isNotationDeclared(int nameIndex)`
`boolean` | `isUnparsedEntity(int entityIndex)`
`int` | `lookupEntity(int nameIndex)`
`void` | `reset(StringPool stringPool)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEntityHandler.EntityPool

    public DefaultEntityHandler.EntityPool(StringPool stringPool,
                                           XMLErrorReporter errorReporter,
                                           boolean createStandardEntities)

Method Detail

### reset

    public void reset(StringPool stringPool)

### addEntityDecl

    public int addEntityDecl(int name,
                             int value,
                             int publicId,
                             int systemId,
                             int baseSystemId,
                             int notationName,
                             boolean isExternal)

### addNotationDecl

    public int addNotationDecl(int notationName,
                               int publicId,
                               int systemId,
                               int baseSystemId,
                               boolean isExternal)

### lookupEntity

    public int lookupEntity(int nameIndex)

### isExternalEntity

    public boolean isExternalEntity(int entityIndex)

### isUnparsedEntity

    public boolean isUnparsedEntity(int entityIndex)

### getEntityDeclIsExternal

    public boolean getEntityDeclIsExternal(int entityIndex)

### getEntityName

    public int getEntityName(int entityIndex)

### getEntityValue

    public int getEntityValue(int entityIndex)

### getPublicId

    public int getPublicId(int entityIndex)

### getSystemId

    public int getSystemId(int entityIndex)

### getBaseSystemId

    public java.lang.String getBaseSystemId(int entityIndex)

### isNotationDeclared

    public boolean isNotationDeclared(int nameIndex)

### getNotationDeclIsExternal

    public boolean getNotationDeclIsExternal(int entityIndex)

### getNotationName

    public int getNotationName(int entityIndex)

### addRequiredNotation

    public void addRequiredNotation(int notationName,
                                    Locator locator,
                                    int majorCode,
                                    int minorCode,
                                    java.lang.Object[] args)

### checkRequiredNotations

    public void checkRequiredNotations()
                                throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.